Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0023194
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2013-02-28 11:412013-03-02 05:48
ReportermtaalView Statuspublic 
Assigned Tomtaal 
PrioritynormalResolutionfixedFixed in Version3.0MP21
StatusclosedFix in branchFixed in SCM revision62a5f072a843
ProjectionnoneETAnoneTarget Version3.0MP21
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToAugustoMauch
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0023194: Client class/canvas fields invalid behavior in grid summary

DescriptionTwo issues:
- A canvas field is also shown in the grid summary, a canvas field has no group representation
- the min and max summary function are enabled on clientclass/canvas fields, that does not make sense
Steps To ReproduceYou could install the "User Interface Application Examples" module in order to have a canvas field implemented. The module is not available from the Module Management screen but for the repository:
https://code.openbravo.com/erp/mods/org.openbravo.client.application.examples/ [^] [^]

As group admin role:
   Go to Sales Order screen and add summary functions, see that the canvas field is repeated in the grid summary, also see that the min/max summary functions are enabled on the header context menu.
TagsNo tags attached.
Attached Filesjpg file icon Selection_013.jpg [^] (12,571 bytes) 2013-02-28 11:41

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0032382 closedplatform Count summary function is the only one available for Line Net Amount field in Return From Customer window 
related to defect 0044582 closedplatform Summary function not working on Return From Customer column Total Gross Amount 

-  Notes
(0056839)
hgbot (developer)
2013-02-28 14:31

Repository: erp/devel/pi
Changeset: 62a5f072a8433efdd90a35ac0b7471cf546deb06
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Thu Feb 28 14:31:08 2013 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/62a5f072a8433efdd90a35ac0b7471cf546deb06 [^]

Fixes issue 23194: Client class/canvas fields invalid behavior in grid summary
Prevent recordcomponents in group and grid summary and context menu

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-grid.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-view-grid.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/main/ob-standard-view.js
---
(0056905)
AugustoMauch (developer)
2013-03-01 17:01

Code reviewed and verified in pi@56d1d98c95cb
(0056930)
hudsonbot (developer)
2013-03-02 05:48

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/f5db629e7058 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2013-02-28 11:41 mtaal New Issue
2013-02-28 11:41 mtaal Assigned To => mtaal
2013-02-28 11:41 mtaal File Added: Selection_013.jpg
2013-02-28 11:41 mtaal Modules => Core
2013-02-28 11:41 mtaal Triggers an Emergency Pack => No
2013-02-28 11:41 mtaal Review Assigned To => AugustoMauch
2013-02-28 14:31 hgbot Checkin
2013-02-28 14:31 hgbot Note Added: 0056839
2013-02-28 14:31 hgbot Status new => resolved
2013-02-28 14:31 hgbot Resolution open => fixed
2013-02-28 14:31 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/62a5f072a8433efdd90a35ac0b7471cf546deb06 [^]
2013-03-01 17:01 AugustoMauch Note Added: 0056905
2013-03-01 17:01 AugustoMauch Status resolved => closed
2013-03-01 17:01 AugustoMauch Fixed in Version => 3.0MP21
2013-03-02 05:48 hudsonbot Checkin
2013-03-02 05:48 hudsonbot Note Added: 0056930
2016-03-01 13:38 caristu Relationship added related to 0032382
2020-07-10 07:09 alostale Relationship added related to 0044582


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker